diff --git a/debian/control b/debian/control
index 3fa62c3736f05b7ca549f62b251d48fe63d580fb..2e6352d2c9399161271229f860add0b6e752ab87 100644
--- a/debian/control
+++ b/debian/control
@@ -69,41 +69,3 @@ Description: high performance key/value storage server
   * stored procedures in Lua are supported
  .
  This package provides debug symbols for all tarantool packages.
-
-Package: tarantool-client
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
-Priority: optional
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: high performance key/value storage server
- Tarantool is an open-source NoSQL database, developed by Mail.ru.
- Its key properties include:
- .
-  * all data is maintained in RAM
-  * data persistence is implemented using Write Ahead Log and snapshotting
-  * supports asynchronous replication and hot standby
-  * uses coroutines and asynchronous I/O to implement high-performance
-    lock-free access to data
-  * available on Linux and FreeBSD
-  * stored procedures in Lua are supported
- .
- This package provides readline client for tarantool.
-
-Package: tarantool-client-dbg
-Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386
-Priority: extra
-Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends},
-    tarantool-client (= ${binary:Version})
-Description: high performance key/value storage server
- Tarantool is an open-source NoSQL database, developed by Mail.ru.
- Its key properties include:
- .
-  * all data is maintained in RAM
-  * data persistence is implemented using Write Ahead Log and snapshotting
-  * supports asynchronous replication and hot standby
-  * uses coroutines and asynchronous I/O to implement high-performance
-    lock-free access to data
-  * available on Linux and FreeBSD
-  * stored procedures in Lua are supported
- .
- This package provides readline client for tarantool.
diff --git a/debian/rules b/debian/rules
index 7051ecb0d9a84b9f8361efcf9c5d763f29bd739c..b1af8bb780ca8e89c0c1631fd869508db1add99f 100755
--- a/debian/rules
+++ b/debian/rules
@@ -16,8 +16,8 @@ DEB_CMAKE_NORMAL_ARGS := -DCMAKE_INSTALL_PREFIX="$(DEB_CMAKE_INSTALL_PREFIX)" \
     -DCMAKE_SKIP_RPATH=ON \
     -DCMAKE_VERBOSE_MAKEFILE=ON \
     -DCMAKE_SYSCONF_DIR=/etc/tarantool \
-    -DCMAKE_LOCALSTATE_DIR=/var
-#     -DENABLE_STATIC=ON
+    -DCMAKE_LOCALSTATE_DIR=/var \
+    -DENABLE_STATIC=ON
 #    -DCMAKE_C_COMPILER:FILEPATH="$(CC)" \
 #    -DCMAKE_CXX_COMPILER:FILEPATH="$(CXX)" \
 
@@ -38,9 +38,6 @@ clean::
 install/tarantool-dbg::
 	rm -fr debian/tarantool-dbg/usr/share/doc/tarantool-dbg
 
-install/tarantool-client-dbg::
-	rm -fr debian/tarantool-client-dbg/usr/share/doc/tarantool-client-dbg
-
 install/tarantool::
 #         make -C build-area test-force || /bin/true
 
diff --git a/debian/scripts/tarantool_instance b/debian/scripts/tarantool_instance
index 8fa35dc5f223a71171993af470d4b1af6bd76731..e97f9c6ad6c90b63d71d74585b90e6539843b543 100755
--- a/debian/scripts/tarantool_instance
+++ b/debian/scripts/tarantool_instance
@@ -47,7 +47,6 @@ if ! test -x $BOX; then
     exit 20
 fi
 
-
 NAME=`basename $CFG .cfg`
 
 PID=$PID_DIR/$NAME.pid
@@ -73,8 +72,8 @@ ulimit -c unlimited
 comment_str="#### - commented by init script"
 sed "s/^[[:space:]]*file_descriptors.*/# & $comment_str/" $CFG > $SCFG
 
-echo "pid_file = $PID"            >> $SCFG
-echo "logger   = \"cat >> $LOG\"" >> $SCFG
+echo "pid_file = $PID"        >> $SCFG
+echo "logger   = \"$LOGGER\"" >> $SCFG
 
 $BOX -c $SCFG -v --check-config
 
diff --git a/debian/scripts/tarantool_logrotate b/debian/scripts/tarantool_logrotate
index c13382ff4f5c952eb55fba69660e31eeeee8b78b..737a35fd68ab13a088fb3ca0d9c53ba4fd6ca411 100755
--- a/debian/scripts/tarantool_logrotate
+++ b/debian/scripts/tarantool_logrotate
@@ -5,6 +5,12 @@ set -e
 CLI="/usr/bin/tarantool"
 CONFIG_DIR="/var/lib/tarantool/started"
 PID_DIR="/var/run/tarantool"
+PROMPT=`basename $0`
+
+error() {
+	echo "$PROMPT error: $*" 1>&2
+	exit 1
+}
 
 logger_notify() {
 	CFG=$1
@@ -13,21 +19,30 @@ logger_notify() {
 	  | tail -n 1 \
 	  | sed 's/[^[:digit:]]//g'
 	`
+	[ $? -eq 0 ] || error "failed to get primary port"
 	PORT_ADMIN=`grep \
 	  '^[[:space:]]*admin_port[[:space:]]*=[[:space:]]*[[:digit:]]\+' $CFG \
 	  | tail -n 1 \
 	  | sed 's/[^[:digit:]]//g'
 	`
+	[ $? -eq 0 ] || error "failed to get admin port"
 	LOGGER_PID=`${CLI} -p $PORT_PRIMARY -m $PORT_ADMIN "show info" \
 	  | grep 'logger_pid:' \
 	  | sed 's/[^[:digit:]]//g'
 	`
+	[ $? -eq 0 ] || error "failed to get logger pid"
 	kill -USR2 $LOGGER_PID
 }
 
+if ! echo $1|grep -q '^\(start\)$'; then
+	echo "Tarantool log rotation script"
+	echo "Usage: $0 <start>"
+    exit 5
+fi
+
 if test -d ${PID_DIR}; then
 	for file in `ls -1 $PID_DIR`; do
 		INSTANCE=`basename $file .pid`
-		logger_notify "$CONFIG_DIR/$INSTANCE.cfg"
+		logger_notify "$CONFIG_DIR/$INSTANCE"
 	done
 fi
diff --git a/debian/tarantool-client.install b/debian/tarantool-client.install
deleted file mode 100644
index 11adc51c83562c4f7494e39fcc33ee9373ab8154..0000000000000000000000000000000000000000
--- a/debian/tarantool-client.install
+++ /dev/null
@@ -1 +0,0 @@
-usr/bin/tarantool
diff --git a/debian/tarantool-client.manpages b/debian/tarantool-client.manpages
deleted file mode 100644
index e69de29bb2d1d6434b8b29ae775ad8c2e48c5391..0000000000000000000000000000000000000000
diff --git a/debian/tarantool-common.logrotate b/debian/tarantool-common.logrotate
index 74b4e65e627cb7194ec7c35ffc52b068b9598148..1dc3e9b24e2142245b1820ea090e6553f0e92d5d 100644
--- a/debian/tarantool-common.logrotate
+++ b/debian/tarantool-common.logrotate
@@ -7,6 +7,6 @@
     delaycompress
     create 0640 tarantool adm
     postrotate
-        /usr/sbin/tarantool_logrotate
+        /usr/sbin/tarantool_logrotate start
     endscript
 }
diff --git a/debian/tarantool-common.manpages b/debian/tarantool-common.manpages
index dedf40b3c40948184572d659c2fc22f446e9e096..5f67776ab9bc87862c15076efeb09ef350535ecf 100644
--- a/debian/tarantool-common.manpages
+++ b/debian/tarantool-common.manpages
@@ -1,2 +1,4 @@
+build-area/doc/man/tarantool.1
+build-area/doc/man/tarantool_box.1
 build-area/tarantool_instance.1
 build-area/tarantool_logrotate.1
diff --git a/debian/tarantool.install b/debian/tarantool.install
index 6c89b00b9309dc91e947adda24fb3a7b0e39451e..8e3fa42212a9c9665356b481ceb8ce33337e80a7 100644
--- a/debian/tarantool.install
+++ b/debian/tarantool.install
@@ -1 +1,2 @@
 usr/bin/tarantool_box
+usr/bin/tarantool